<?php

add_action('admin_menu', 'slm_sample_license_menu');

function slm_sample_license_menu() {
    add_options_page('Activacion de Crea una web que convierte', 'CWQC Licencia', 'manage_options', __FILE__, 'sample_license_management_page');
}

function sample_license_management_page() {
    echo '<div class="wrap">';
    echo '<h2>Activacion de Crea una web que convierte con Wordpress</h2>';

    /*** License activate button was clicked ***/
    if (isset($_REQUEST['activate_license'])) {
        $license_key = $_REQUEST['sample_license_key'];

        // API query parameters
        $api_params = array(
            'slm_action' => 'slm_activate',
            'secret_key' => YOUR_SPECIAL_SECRET_KEY,
            'license_key' => $license_key,
            'registered_domain' => $_SERVER['SERVER_NAME'],
            'item_reference' => urlencode(YOUR_ITEM_REFERENCE),
        );

        // Send query to the license manager server
        $query = esc_url_raw(add_query_arg($api_params, YOUR_LICENSE_SERVER_URL));
        $response = wp_remote_get($query, array('timeout' => 20, 'sslverify' => false));

        // Check for error in the response
        if (is_wp_error($response)){
            echo "Unexpected Error! The query returned with an error.";
        }

        //var_dump($response);//uncomment it if you want to look at the full response
        
        // License data.
        $license_data = json_decode(wp_remote_retrieve_body($response));
        
        // TODO - Do something with it.
        //var_dump($license_data);//uncomment it to look at the data
        
        if($license_data->result == 'success'){//Success was returned for the license activation
            
            //Uncomment the followng line to see the message that returned from the license server
            //echo '<br />The following message was returned from the server: '.$license_data->message;
            echo '<br /><span style="color: #3cb341;">Licencia activada</span>';
            
            //Save the license key in the options table
            $keyARGS = array (
                'key' => $license_key, 
                'util' => 1, 
            ); 
            update_option('CWQC', $keyARGS);
        }
        else{
            //Show error to the user. Probably entered incorrect license key.
            
            //Uncomment the followng line to see the message that returned from the license server
            echo '<br />The following message was returned from the server: '.$license_data->message;
        }

    }
    
    $inactivo= get_option("desactivado");
    if ($inactivo){
        ?>
            <p>
                <span style="color: red; font-weight:bold; font-size:24px;text-align:center; padding:100px; display: block;">
                    Desactiva este plugin, borralo, vuelve a descargarlo desde la escuela y vuelve a instalarlo para poder volver a activar las licencias
                </span>
            </p>
        <?php
    }else{
         $comprueba= get_option("CWQC");
        if ($comprueba['util']){
             ?><p><span style="color: #3cb341; font-weight:bold; font-size:24px; ">La licencia está activa</span></p> <?php
        }else{
        ?>

        <p>Por favor, introduce aquí tu licencia para activar las licencias de los plugins incluidos en el curso</p>
        <form action="" method="post">
            <table class="form-table">
                <tr>
                    <th style="width:170px;"><label for="sample_license_key">Introduce tu licencia aquí</label></th>
                    <td ><input class="regular-text" type="password" id="sample_license_key" name="sample_license_key"  value="<?php echo get_option('sample_license_key'); ?>" ></td>
                </tr>
            </table>
            <p class="submit">
                <input type="submit" name="activate_license" value="Activar" class="button-primary" />
                <!-- <input type="submit" name="deactivate_license" value="Desactivar" class="button" /> -->
            </p>
        </form>
        <?php
        }
    }
    echo '</div>';
}
function my_notice() {
    ?>
    <div class="update-nag notice">
        <p>No has introducido tu licencia del curso <strong>CREA UNA WEB QUE CONVIERTE CON WORDPRESS.</strong> <a href="options-general.php?page=curso-wordpress-licencia%2Finc%2Flcs_admin.php">Haz click para introducirla</a> y tener acceso a las actualizaciones de los plugins incluidos en el curso</p>
    </div>
    <?php
}