<?php
/**
 * Plugin Name: Crea una web que convierte licencias
 * Plugin URI: https://escueladewordpress.com/plugin-licencias
 * Description: Plugin para aportar las licencias incluidas en el curso
 * Version: 1.1
 * Author: Oscar Fernández Herrero
 * Author URI: https://escueladewordpress.com
 */

define( 'FL_TEMPLATES_EXAMPLE_DIR', plugin_dir_path( __FILE__ ) );
define( 'FL_TEMPLATES_EXAMPLE_URL', plugins_url( '/', __FILE__ ) );
define('YOUR_SPECIAL_SECRET_KEY', '590c57e8181607.83195265');
define('YOUR_LICENSE_SERVER_URL', 'https://escueladewordpress.com'); 
define('YOUR_ITEM_REFERENCE', 'CWQC'); 

//include_once dirname( __FILE__ ) .'/inc/debug.php';
include_once dirname( __FILE__ ) .'/inc/preparar_opt.php';
include_once dirname( __FILE__ ) .'/inc/casi_todas.php';
include_once dirname( __FILE__ ) .'/inc/lcs.php';
include_once dirname( __FILE__ ) .'/inc/lcs_admin.php';
include_once dirname( __FILE__ ) .'/inc/lcs_chk.php';
include_once dirname( __FILE__ ) .'/inc/plugin-updates/plugin-update-checker.php';
include_once dirname( __FILE__ ) .'/inc/unistall.php';

register_deactivation_hook( __FILE__, 'your_prefix_deactivate' );
register_uninstall_hook(__FILE__, 'your_prefix_uninstall' );

function CWQC_admin_styles() {
    wp_register_style('styles-CWQC', plugin_dir_url( __FILE__ ) . '/css/styles-CWQC.css', array(), '1.0', 'all');
    wp_enqueue_style('styles-CWQC'); // Enqueue it!
}
add_action( 'admin_enqueue_scripts', 'CWQC_admin_styles' );
add_action( 'plugins_loaded', 'prueba_carga' );

function prueba_carga(){

	$complic= chk_lcs();
	if ($complic){
	    $Chekeador = PucFactory::buildUpdateChecker(
	    	'https://escueladewordpress.com/wp-content/uploads/curso/info.json',
	    	__FILE__
	    );
	}else{
	    add_action( 'admin_notices', 'my_notice' );	
	}	

}